Skip to content

realtime_presence_leave

Leave presence on a realtime channel, removing the caller (or member_id) from the roster

Tool

realtime_presence_leave

Leave presence on a realtime channel, removing the caller (or member_id) from the roster

Leave presence on a realtime channel, removing the caller (or member_id) from the roster

Behavior

HTTP
POST /realtime/presence/leave

Arguments

Name
Type
Required
Description
channel
string
•
Channel name, "namespace:rest"
member_id
string
—
Act for a synthetic member id instead of the caller identity (backend integrations)

Response

Field
Type
Always
Description
channel
string
•
Channel name
removed
boolean
•
Whether the member was removed

Try it

Leave presence on a realtime channel, removing the caller (or member_id) from the roster.

When to use

Leave presence on a realtime channel, removing the caller (or member_id) from the roster

Example

Ask your agent something like this:

Leave presence on a realtime channel, removing the caller (or member_id) from the roster.

The agent will invoke realtime_presence_leave with these arguments:

{
  "channel": "<channel>"
}

Esc

Start typing to search the docs.

↑↓navigate↵select